Bug 4070 - Neighbourhood table overflow errors
Summary: Neighbourhood table overflow errors
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-16 11:38 UTC by gp
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-20 15:06:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description gp 1999-07-16 11:38:12 UTC
After changing a client from using DHCP to using a static IP
address using netcfg I had severe errors during the reboot
concerning neighbourhood table overflow errors. Traced it
down to being a badly configured loopback device. The file
/etc/sysconfig/network-scripts/ifcfg-lo was found to be
truncated. It looked like this:

ONBOOT=yes

whereas it should look like this:

BOOTPROTO=none  DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
BROADCAST=127.255.255.255
ONBOOT=yes
BOOTPROTO=none

It appears that netcfg caused this file corruption.

Comment 1 Michael K. Johnson 1999-07-30 21:21:59 UTC
I don't see how netcfg could have done that.  If you can reproduce
it, I'd like to see the steps you took to do it so that I can make
an attempt to debug it here.  Thanks.

Comment 2 Michael K. Johnson 1999-09-20 15:06:59 UTC
Anyone who can reproduce this bug, please reopen this bug report
with an explanation of how you did it.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.